import Writer from './writer';
export declare class WriterTerraform extends Writer {
    requiredProviders: Array<any>;
    writeRequiredProvidersBlock: boolean;
    backend: any;
    tfStateKey: string;
    constructor(requiredProviders: Array<any>, backend: any, tfStateKey: string, writeRequiredProvidersBlock?: boolean);
    render(renderType?: string): Promise<string>;
    _renderJson(): Promise<void>;
    _render(): Promise<void>;
}
